#ifndef __BANK_BUILDER_H__
#define __BANK_BUILDER_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtkvbox.h>

G_BEGIN_DECLS

#define BANK_BUILDER_TYPE            (bankbuilder_get_type ( ))
#define BANK_BUILDER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), BANK_BUILDER_TYPE, BankBuilder))
#define BANK_BUILDER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), BANK_BUILDER_TYPE, BankBuilderClass))
#define IS_BANK_BUILDER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BANK_BUILDER_TYPE))
#define IS_BANK_BUILDER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BANK_BUILDER_TYPE))

typedef struct _BankBuilder      BankBuilder;
typedef struct _BankBuilderClass BankBuilderClass;

struct _BankBuilder
{
     GtkVBox vbox;

     GtkWidget*     hbox;
     GtkWidget*     file_selector;
     GtkWidget*     chan_spin;
     GtkWidget*     range_spin;
     GtkAdjustment* chan_adj;
     GtkAdjustment* range_adj;
};

struct _BankBuilderClass
{
     GtkVBoxClass parent_class;

     void (*bankbuilder) (BankBuilder* bb);
};

GType      bankbuilder_get_type  (void);
GtkWidget* bankbuilder_new       (void);
int        bb_get_active_channel (void);
int        bb_get_range          (void);
void       bb_new_patch          (int note, GSList* filelist);

G_END_DECLS

#endif /* __BANK_BUILDER_H__ */
